function Contador() {
	const Helper = require('teknisa-helper');
	const geral = new Helper.geral();

	this.adicionar = (codigo, nome, cpf, telefone, ramal, email, cep, estadoEmissaoCRC,
		registroCRC, numeroCRP, anoEmissaoCRP, dataVencimentoCRP, estadoEmissaoCRP) => {
		geral.clickAndFillFields('CDCONTADOR2', codigo,
			'NMCONTADOR', nome,
			'NRINSJURCONT', cpf,
			'NRTELCONTATO', telefone,
			'NRRAMALCONTA', ramal,
			'DSENDINTERN', email,
			'NRCEP', cep,
			'NRCRCCONT2', registroCRC,
			'NRANOCRP', anoEmissaoCRP,
			'NRREGCRP', numeroCRP,
			'DTVENCCRP', dataVencimentoCRP);
		geral.searchAndClickGridFields('NMESTADOCRC', estadoEmissaoCRC, 'NMESTADO',
			'NMESTADOCRP', estadoEmissaoCRP, 'NMESTADO');
	};

	this.editar = (nome, cpf, telefone, ramal, email, cep, estadoEmissaoCRC, registroCRC,
		numeroCRP, anoEmissaoCRP, dataVencimentoCRP, estadoEmissaoCRP) => {
		geral.fillFields('NMCONTADOR', nome,
			'NRINSJURCONT', cpf,
			'NRTELCONTATO', telefone,
			'NRRAMALCONTA', ramal,
			'DSENDINTERN', email,
			'NRCEP', cep,
			'NRCRCCONT2', registroCRC,
			'NRANOCRP', anoEmissaoCRP,
			'NRREGCRP', numeroCRP,
			'DTVENCCRP', dataVencimentoCRP);
		geral.clickLimparAutoComplete('NMESTADOCRC');
		geral.clickLimparAutoComplete('NMESTADOCRP');
		geral.searchAndClickGridFields('NMESTADOCRC', estadoEmissaoCRC, 'NMESTADO',
			'NMESTADOCRP', estadoEmissaoCRP, 'NMESTADO');
	};
}

module.exports = new Contador();
